#!/bin/bash
#echo $0
dir=`dirname $0`
daynum=`date +%j|sed 's/^0*//'`
#daynum="35"
file="$dir/dt`date +%Y`.dat"
textstring=`grep --color=never -E "^$daynum[^0-9]" $file | sed 's/\t/|/g'`

verse=`echo $textstring | cut -f 2 -d '|'`
source=`echo $textstring | cut -f 3 -d '|'`
comment=`echo $textstring | cut -f 4 -d '|'`
commentsrc=`echo $textstring | cut -f 5 -d '|'`
memorialreading=`echo $textstring | cut -f 6 -d '|'`
memorialdate=`echo $textstring | cut -f 7 -d '|'`

cat "$dir/conkyrc-dt-template" > "$dir/conkyrc-dt"
echo -n \${font DroidSerif:size=24} >> "$dir/conkyrc-dt"
echo «$verse» | fmt -w60 | sed 's/^/\${alignc}/g' >> "$dir/conkyrc-dt"
echo \${font DroidSerif:size=16:italic}\${alignc}$source >> "$dir/conkyrc-dt"
echo \${font DroidSerif:size=14} >> "$dir/conkyrc-dt"
echo $comment | fmt -w 130 >> "$dir/conkyrc-dt"

conky -c "$dir/conkyrc-dt"
